<?php
namespace Mirasvit\Seo\Block\Adminhtml\System\Config\Cookie;

/**
 * Interceptor class for @see \Mirasvit\Seo\Block\Adminhtml\System\Config\Cookie
 */
class Interceptor extends \Mirasvit\Seo\Block\Adminhtml\System\Config\Cookie implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Framework\ObjectManagerInterface $objectManager, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $objectManager, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
